[arch-commits] Commit in gegl/trunk (ChangeLog PKGBUILD)

Eric Belanger eric at archlinux.org
Mon Oct 20 00:33:41 EDT 2008


    Date: Monday, October 20, 2008 @ 00:33:41
  Author: eric
Revision: 16019

upgpkg: gegl 0.0.20-1
    Upstream update, Added ruby makedepends, Fixed license, Fixed ffmpeg header file location (close FS#11738)

Modified:
  gegl/trunk/ChangeLog
  gegl/trunk/PKGBUILD

-----------+
 ChangeLog |    8 ++++++++
 PKGBUILD  |   10 ++++++----
 2 files changed, 14 insertions(+), 4 deletions(-)

Modified: ChangeLog
===================================================================
--- ChangeLog	2008-10-20 01:39:59 UTC (rev 16018)
+++ ChangeLog	2008-10-20 04:33:41 UTC (rev 16019)
@@ -1,3 +1,11 @@
+2008-10-19  Eric Belanger  <eric at archlinux.org>
+
+	* gegl 0.0.20-1
+	* Upstream update
+	* Added ruby makedepends
+	* Fixed license
+	* Fixed ffmpeg header file location (close FS#11738)
+
 2008-06-16  Eric Belanger  <eric at archlinux.org>
 
 	* gegl 0.0.18-1

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-10-20 01:39:59 UTC (rev 16018)
+++ PKGBUILD	2008-10-20 04:33:41 UTC (rev 16019)
@@ -3,20 +3,22 @@
 # Contributor: Charles-Henri d'Adhemar <cdadhemar at gmail.com>
 
 pkgname=gegl
-pkgver=0.0.18
+pkgver=0.0.20
 pkgrel=1
 pkgdesc="Graph based image processing framework"
 arch=('i686' 'x86_64')
 url="http://www.gegl.org/"
-license=('LGPL3')
+license=('GPL3' 'LGPL3')
 depends=('babl>=0.0.22' 'libpng' 'gtk2')
+makedepends=('ruby')
 options=('!libtool')
 source=(ftp://ftp.gimp.org/pub/${pkgname}/${pkgver%.*}/${pkgname}-${pkgver}.tar.bz2)
-md5sums=('e458409440a7b51f446df321c3657e4d')
-sha1sums=('f8113ad33161337eb107ad84c0ac968dca1d02d2')
+md5sums=('2e1f97ec8abd9a4a21f458b43799bff2')
+sha1sums=('37be399b58d50a87134f2dfad389a476e1155874')
 
 build() {
   cd ${srcdir}/${pkgname}-${pkgver}
+  sed -i 's|#include <ffmpeg/avformat.h>|#include <libavformat/avformat.h>|' operations/external/ff-load.c || return 1
   ./configure --prefix=/usr || return 1
   make || return 1
   make DESTDIR=${pkgdir} install || return 1




More information about the arch-commits mailing list